package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.api.AddApiBaseInfoReq;
import org.wcs.model.dto.serve.api.QueryApiBaseInfoReq;
import org.wcs.model.dto.serve.api.UpdateApiBaseInfoReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.api.QueryApiBaseInfoVo;

import java.util.List;

public interface IApiService {

    AppServeDataResponse<List<QueryApiBaseInfoVo>> queryApiBaseInfo(QueryApiBaseInfoReq queryApiBaseInfoReq);
    AppServeResponse reloadApiKey(); // 重新加载API基础信息
    AppServeResponse addApiBaseInfo(AddApiBaseInfoReq addApiBaseInfoReq);
    AppServeResponse deleteApiBaseInfo(String apiKey);
    AppServeResponse updateApiBaseInfo(UpdateApiBaseInfoReq updateApiBaseInfoReq);
}
